Bug 597588 - forward-port patches to get kdump working in rawhide
forward-port patches to get kdump working in rawhide
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Neil Horman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 597580
  Show dependency treegraph
 
Reported: 2010-05-29 13:42 EDT by CAI Qian
Modified: 2010-06-13 19:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-13 19:55:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
all patches applied to the devel tree (61.58 KB, application/x-gzip)
2010-05-29 13:42 EDT, CAI Qian
no flags Details
bundle patch (45.30 KB, patch)
2010-06-03 10:42 EDT, CAI Qian
no flags Details | Diff

  None (edit)
Description CAI Qian 2010-05-29 13:42:19 EDT
Created attachment 417899 [details]
all patches applied to the devel tree

Description of problem:
There are several patches are needed to get kdump working in rawhide,

* Sat May 29 2010 CAI Qian <caiqian@redhat.com> - 2.0.0-35
- Forward-port from F13
- Fixed kernel text area search in kcore (bz 587750)

* Sat May 29 2010 CAI Qian <caiqian@redhat.com> - 2.0.0-34
- Massive forward-port from RHEL6
- Update kexec-kdump-howto.txt
- Update docs to reflect use of ext4
- Update mkdumprd to pull in all modules needed
- Fix mkdumprd typo
- Removed universal add of ata_piix from mkdumprd
- Fix infinite loop from modprobe changes
- Fixed kexec-kdump-howto.doc for RHEL6
- Update makedumpfile to 1.3.5
- Improved mkdumprd run time
- Cai's fix for broken regex
- Fixing crashkernel syntax parsing
- Fix initscript to return proper LSB return codes
- Fixed bad call to resolve_dm_name
- Added poweroff option to mkdumprd
- Fixed readlink issue
- Fixed x86_64 page_offset specifictaion
- Fixed lvm setup loop to not hang
- Added utsname support to makedumpfile for 2.6.32
- Fix critical_disks list to exclude cciss/md
- Add help info for -b option
- Add ability to handle firmware hotplug events
- Update mkdumprd to deal with changes in busybox fsck
- Vitaly's fix to detect need for 64 bit elf
- Fix major/minor numbers on /dev/rtc
- Fix ssh id propogation w/ selinux
- Add blacklist feature to kdump.conf
- Removed rhpl code from firstboot
- Fixed firstboot enable sense
- Remove bogus debug comment from mkdumprd.
- Handle SPARSEMEM properly
- Fix scp monitoring script
- Fix firstboot to find grub on EFI systems
- Fixed mkdumprd to remove dup insmod
- Fixed kdump fsck pause
- Fixed kdump option handling
- fixed raid5 module detection

All patches have been applied/compiled/tested successfully to the devel tree. Please review.

Version-Release number of selected component (if applicable):
kexec-tools-2.0.0-33.fc14
Comment 1 Alan Pevec 2010-06-01 11:39:26 EDT
Is there any plan to use Dracut for creating kdump initramfs in the future ?
Comment 2 Neil Horman 2010-06-01 14:55:45 EDT
yes, there is actually infrastructure in place to allow dracut to be used in the creation of initramfs.  It works, but is not overly user friendly yet.  Feel free to experiment

Cai, your summary comment indicates that you've tested 'all patched' against the rawhide tree, but your attachment is a tarball consisting of the contents of what appears to be the cvs repository for RHEL6.  If you have a set of patches that you've applied independently, list/attach those instead please.  Some may not be needed for upstream, and I'd like to look at them individually.
Comment 3 CAI Qian 2010-06-01 20:05:03 EDT
This is the tree using Fedora CVS's devel directory. Patches have been included, and spec file has been modified against Fedora. It is the basically the new version created for rawhide that you can review and commit it directly.
Comment 4 CAI Qian 2010-06-03 10:42:41 EDT
Created attachment 419403 [details]
bundle patch

This patch was generated between the the above devel tarball and the original devel directory.
Comment 5 CAI Qian 2010-06-04 23:02:44 EDT
The following needs to happen by someone with the commit privilege,
* upload makedumpfile-1.3.5.tar.gz to,
  http://cvs.fedoraproject.org/repo/pkgs/kexec-tools/
* apply the patch against kexec-tools-2.0.0-33.fc14
Comment 6 Lubomir Rintel 2010-06-13 15:42:22 EDT
Neil: I needed working mkdumprd today and after applying this patch and verifying that it fixed kdump for me and given kdump mkdumprd nonfunctional for a rather long time I thought it is a good idea to commit the resulting package.

I somehow did not notice your comment about your intent to review the patches separately. I'm sorry if I caused any trouble; keeping this open so that this does not disappear from your radar and you can amend the fixes if necessary.
Comment 7 Neil Horman 2010-06-13 19:55:36 EDT
yeah, I just saw that you committed them all.  I would have liked to review all the patches, but whats done is done, and given that, while kexec did work in many cases, it was also broken in many, its probably just as well that this is done now.  Please take care not to just commit stuff in the future, but I think what you did was likely for the best here.  Thanks.

I'll close this as the work is done, and we can fix anything that typical use presents to us a problem as we come to it.

Note You need to log in before you can comment on or make changes to this bug.